paramiko (3.5.0-1) unstable; urgency=low

  * Upload to unstable

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 20 Jan 2025 17:22:45 -0500

paramiko (3.5.0-1~exp1) experimental; urgency=medium

  [ Alexandre Detiste ]
  * remove obsolete ref. to Python2

  [ Santiago Ruano Rincón ]
  * New upstream version 3.5.0

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 30 Dec 2024 21:36:50 -0500

paramiko (3.4.1-2) unstable; urgency=medium

  * Team upload.
  * Fix ed25519 as used by duplicity (Closes: #1071675)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 01 Sep 2024 16:40:57 +0200

paramiko (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1
  * Remove upstream patches no longer needed

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Sun, 25 Aug 2024 18:44:18 -0300

paramiko (3.4.0-2) unstable; urgency=medium

  * Team upload
  * Remove dependency on python3-mock
  * Add dependency on python3-pytest-relaxed, it is now packaged
  * Use dh-sequence-python3
  * Disable one flaky test (Closes: #1070765)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 07 Aug 2024 19:46:21 +0200

paramiko (3.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.4.0 (Closes: #1039443, #1060963)
    - Fix Terrapin MitM attack (CVE-2023-48795) (Closes: #1059006)
  * Add debian/salsa-ci.yml
  * Update debian/patches/remove_pytest_relaxed.patch
  * Add python3-icecream to build-dependencies
  * Fix nose deprecation errors produced by pytest. Patch:
    0001-Use-pytest-s-setup_method-in-pytest-8-the-nose-metho.patch
  * Fix 32-bit-ism in protocol seqno rollover test from Terrapin fix. Patch
    from upstream
  * Add myself to Uploaders

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Fri, 03 May 2024 07:10:06 -0300

paramiko (2.12.0-3) unstable; urgency=medium

  * remove myself

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Feb 2024 01:25:38 -0500

paramiko (2.12.0-2) unstable; urgency=medium

  * Run autopkgtests via autopkgtest-pkg-pybuild

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Dec 2022 20:07:23 -0500

paramiko (2.12.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/
    - refresh, remove patches merged upstream
  * debian/control
    - bump Standards-Version to 4.6.1.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Dec 2022 14:09:43 -0500

paramiko (2.10.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patch that is included upstream.
  * Drop upstream signing key. The release tarballs on GitHub are not signed.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 16 May 2022 09:42:31 +0200

paramiko (2.10.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix CVE-2022-24302 (Closes: #1008012)
    - Add support for SHA-2 variants of RSA key verification algorithms
      to support openssh >= 8.8p1-1 (Closes: #1007168, LP: #1961979)
  * Refresh PR1942.patch
  * Fix spelling mistake of distributed
  * Drop unused source-is-missing lintian override
  * Ignore very-long-line-length-in-source-file lintian alert
  * Update debian/copyright
  * d/p/thread-setdaemon-deprecation.patch: patch out a deprecation warning
    with Python 3.10 (LP: #1959095)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 12 Apr 2022 16:40:12 +0200

paramiko (2.8.1-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/PR1942.patch
    - add upstream PR to fix test_sftp.py failures
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Dec 2021 01:27:04 -0500

paramiko (2.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * debian/watch
    - track github releases
  * debian/gbp.conf
    - remove gbp.conf file
  * debian/patches/remove_pytest_relaxed.patch
    - refresh patch

 -- Sandro Tosi <morph@debian.org>  Fri, 15 Oct 2021 13:33:52 -0400

paramiko (2.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Rebase patches.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit.
  * Set Rules-Requires-Root: no.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 02 Sep 2020 10:33:40 +0200

paramiko (2.7.1-2) unstable; urgency=medium

  * debian/rules
    - run tests at build-time
  * debian/control
    - add mock, invoke to b-d, needed by tests
    - wrap-and-sort
    - bump Standards-Version to 4.5.0 (no changes needed)
  * debian/patches/add-tests-configs-directory.patch
    - add tests/configs directory, needed to run successfully the test suite,
      patch by Cesar Tulio Albuquerque de Almeida
  * debian/tests/control
    - install build-depends packages when running autopkgtests; Closes: #960899

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jul 2020 01:18:03 -0400

paramiko (2.7.1-1) unstable; urgency=medium

  * Team upload
  * New upstrem release (Closes: #955473)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 11 May 2020 21:49:58 -0400

paramiko (2.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937238

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Jan 2020 19:39:19 -0500

paramiko (2.6.0-1) unstable; urgency=medium

  * New upstream release; Closes: #924178, #851474, #892860
  * Acknowledge NMU: Closes: #892859, #904635
  * debian/control
    - move under DPMT umbrella (with current maintainers blessing)
    - bump b-d on cryptograpy to >= 2.5
    - drop obsolete X-Python*-Version fields
    - bump Standards-Version to 4.4.0 (no changes needed)
    - update Vcs-* fields to point to DPMT repo
    - update long description; Closes: #766893
  * debian/copyright
    - convert to machine-parsable format
    - add myself to copyright (previous contributions were not mentioned)
    - update to new upstream release
  * debian/patches/remove_pytest_relaxed.patch
    - refresh patch
  * debian/source/lintian-overrides
    - update for new jquery.js

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Aug 2019 18:43:04 -0400

paramiko (2.4.2-0.1) unstable; urgency=medium

  * New upstream version 2.4.2 (Closes: #892859)
  * Fix autopkgtests (switch to pytest) (Closes: #904635)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sat, 01 Dec 2018 14:30:29 +0100

paramiko (2.4.0-1) unstable; urgency=medium

  * Imported Upstream version 2.4.0
  * Update build for 2.4.0 (Closes: #871249, #882322, #698075)

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed, 07 Mar 2018 14:59:55 -0500

paramiko (2.0.0-1) unstable; urgency=medium

  * Imported Upstream version 2.0.0 (Closes: #826737)
  * Correct email address for patch
  * Update Standards-Version to 3.9.8, no changes needed
  * Update doc file names to match upstream changes
  * Update crypto dependencies
  * Clean up debian/control, debian/rules and lintian issues
  * Upstream bug tracking check (Closes: #783313, #754851)

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed, 08 Jun 2016 23:56:41 -0400

paramiko (1.16.0-1) unstable; urgency=medium

  * Imported Upstream version 1.16.0 (Closes: #816618)
  * Update debian/patches
  * Add Python pyasn1 and gssapi build depends (Closes: #804582)
  * Use upstream test script
  * Update debian/watch to use pypi.debian.net
  * Fix dh_auto_test override
  * Update Standards-Version to 3.9.7, no changes needed
  * Remove unneeded option

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 11 Apr 2016 15:47:02 -0400

paramiko (1.15.3-1) unstable; urgency=medium

  * Imported Upstream version 1.15.3

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 25 Oct 2015 22:46:34 -0400

paramiko (1.15.2-1) unstable; urgency=medium

  * Imported Upstream version 1.15.2
  * Update Standards-Version (no changes needed)

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed, 08 Jul 2015 10:35:09 -0400

paramiko (1.15.1-1) unstable; urgency=medium

  * Imported Upstream version 1.15.1
  * Update gbp.conf section headers for newer version
  * Move from epydoc to sphinx for doc build
  * Add patch to localize generated documentation
  * Implement pybuild buildsystem
  * debian/gbp.conf: Update postbuild for git-buildpackage
  * Imported Upstream version 1.15.0
  * Specify minimum required version of ecdsa

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 23 Sep 2014 14:07:59 -0400

paramiko (1.14.1-1) unstable; urgency=medium

  [ Thomas Kluyver ]
  * Add autopkgtest information

  [ Jeremy T. Bouse ]
  * Include upstream GitHub Pull Request #352 to fix RC bug.
    Thanks to Jelmer Vernooij <jelmer> (Closes: #750517, #755910)
  * Imported Upstream version 1.14.1
  * Revert "Include upstream GitHub Pull Request #352 to fix RC bug"
    as it was included in upstream bug fix release 1.14.1 to remove
    the regression introduced into 1.14.0.

 -- Jeremy T. Bouse <jbouse@debian.org>  Thu, 28 Aug 2014 22:23:51 -0700

paramiko (1.14.0-2) unstable; urgency=low

  * Add extend-diff-ignore to debian/source/options.
    Thanks to Thomas Goirand <zigo>
  * Add python-ecdsa to Build-Depends (Closes: #702571)
  * Add Python 3 support to build.
    Thanks to Thomas Goirand <zigo> (Closes: #697600, #749512)
  * Clean up build environment

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 27 May 2014 21:30:02 -0400

paramiko (1.14.0-1) unstable; urgency=low

  * Imported Upstream version 1.14.0 (Closes: #742005)
  * Update Standards-Version to 3.9.5
  * Fix paramiko-doc overwriting /usr/share/doc-base/python-paramiko.
    Thanks to Felix Geyer <fgeyer@debian.org> (Closes: #718004)
  * debian/patches/*: Removed patch applied upstream
  * debian/control: Move VCS location
  * debian/control: Fix type in paramiko-doc block
  * debian/control: Removed unknown XS-Testsuite

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 11 May 2014 23:01:05 -0400

paramiko (1.10.1-1) unstable; urgency=low

  * Imported Upstream version 1.10.1
  * debian/control: Revise debhelper Build-Depends entry
  * debian/{control,watch}: Update for new maintainer and source address
    (Closes: #690080) - thanks to Mike Gabriel <mike.gabriel@das-
    netzwerkteam.de>
  * debian/gbp.conf: Add standard git-buildpackage settings
  * debian/patches/*: Removed patch included in upstream
  * debian/patches/*: Removed hostkey patch that caused problems -
    thanks to Lars Noschinski <lars@public.noschinski.de>
  * debian/*: clean up build files for new version
  * debian/control: Add Build-Depend on python-epydoc
  * debian/patches/*: Add patch to remove upstream Makefile
  * debian/*: Build out separate paramiko-doc package (Closes: #682255)
    - thanks to Touko Korpela <touko.korpela@iki.fi>

 -- Jeremy T. Bouse <jbouse@debian.org>  Thu, 27 Jun 2013 22:59:08 -0400

paramiko (1.7.7.1-3) unstable; urgency=low

  * Accept NMU uploads (Closes: #659007, #668239)
  * Update package to clean up lintian findings
  * debian/source/local-options: set unapply-patches option
  * debian/watch: Don't need to use uupdate with gbp
  * debian/control: Upgrade Debian Standard (no changes needed)

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 09 Jul 2012 11:02:38 -0400

paramiko (1.7.7.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add Fix-SSHException-when-re-keying-over-a-fast-connection.patch patch.
    Fix bug "Transfers fail after 1GB; rekeying window too small".
    (Closes: #659007)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 07 Jul 2012 17:09:08 +0200

paramiko (1.7.7.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix broken host key handling when port != 22 (Closes: 668239)

 -- Luk Claes <luk@debian.org>  Thu, 05 Jul 2012 00:38:56 +0000

paramiko (1.7.7.1-2) unstable; urgency=low

  * debian/*: Update build to use dh_python2 (Closes: #637379)
  * Debian package build environment cleanup
  * Acknowledge previous NMU patch that was included in upstream update
    release Thanks Jelmer Vernooij <jelmer@debian.org> (Closes: #611361)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 02 Oct 2011 13:46:01 -0400

paramiko (1.7.7.1-1) unstable; urgency=low

  * Imported Upstream version 1.7.7.1 (Closes: #627754)
  * debian/patches: Patches included in upstream
  * debian/control: Updated standards version (no change)

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 31 May 2011 21:23:55 -0400

paramiko (1.7.6-6) unstable; urgency=low

  * Add back quilt support NMU removed & update clean target
  * Accept NMU upload. Thanks Jelmer Vernooij <jelmer@debian.org>

 -- Jeremy T. Bouse <jbouse@debian.org>  Sat, 29 Jan 2011 12:02:16 -0500

paramiko (1.7.6-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Avoid deprecated RandomPool. Patch by Gary van der Merwe. Closes:
    #576697
  * Try connecting to each available address family until one succeeds.
    Patch by Andrew Bennetts.  Closes: #602251
  * Bump standards version to 3.9.1 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 28 Jan 2011 12:35:12 +0100

paramiko (1.7.6-5) unstable; urgency=low

  * debian/control: Fix python-crypto version dependency
  * debian/rules: Remove simple-patchsys.mk

 -- Jeremy T. Bouse <jbouse@debian.org>  Sat, 17 Jul 2010 00:00:40 -0400

paramiko (1.7.6-4) unstable; urgency=low

  * Update Standards-Version to 3.9.0
  * debian/control: Add versioned dependency on python-crypto (Closes:
    #479596)
  * debian/control: Build-Depends python-all-dev to python-all

 -- Jeremy T. Bouse <jbouse@debian.org>  Fri, 16 Jul 2010 10:54:06 -0400

paramiko (1.7.6-3) unstable; urgency=medium

  * Add conflict against fabric 0.9.0-1 (Closes: #563490) - thanks to
    Chris Lamb <lamby@debian.org> for being a packaging tool

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 04 Jan 2010 10:12:32 -0500

paramiko (1.7.6-2) unstable; urgency=low

  * debian/control: Fix last remaining lintian warning

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed, 16 Dec 2009 08:15:36 -0500

paramiko (1.7.6-1) unstable; urgency=low

  * Imported Upstream version 1.7.6 (Closes: #543784)
  * Fix formatting error for __all__ in paramiko/__init__.py (Closes:
    #494836)
  * Update debian/watch syntax
  * Package build clean-up
  * Include docs/ contents with build (LP: #364998)
  * Update Build-Depends
  * debian/control: Update Vcs-* entries

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 15 Dec 2009 09:46:29 -0500

paramiko (1.7.4-0.1) unstable; urgency=medium

  * NMU.
  * New upstream version.
    - Fix random number regression (stop using RandomPool). Closes: #490961.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jul 2008 14:16:08 +0200

paramiko (1.7.3-1) unstable; urgency=low

  * New upstream version
    Closes: #475505.
  * Acknowledge NMU changes
  * Missing examples included
    Closes: #455547.
  * Confirmed new upstream version corrected FutureWarning
    Closes: #405552.

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 04 May 2008 11:41:27 -0400

paramiko (1.7.2-0.1) unstable; urgency=low

  * Non-maintainer upload to DELAYED/14-day. (¹)
  * New upstream release. (Closes: #415060)
  * Drop the patch introduced in 1.6.4-1.1, as it's part of 1.7.2.

    (¹) Counting since the initial 1.7.1-0.1 upload in Jan 13th.

 -- Adeodato Simó <dato@net.com.org.es>  Thu, 24 Jan 2008 13:54:18 +0100

paramiko (1.6.4-1.1) unstable; urgency=high

  * Non-maintainer upload by security team.
  * Fix insecure use of RandomPool if paramiko is used for threads or multiple
    forked processes. This enables one session to predict random data of
    another session using its own random data.
    (CVE id pending; Closes: #460706).

 -- Nico Golde <nion@debian.org>  Mon, 14 Jan 2008 19:36:40 +0100

paramiko (1.6.4-1) unstable; urgency=low

  * New upstream release (Closes: #344734, #382348).

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 26 Dec 2006 15:48:42 -0500

paramiko (1.5.2-0.1) unstable; urgency=low

  [ Wouter van Heyst ]
  * Non-maintainer upload.
  * New upstream release.
    + Drop python_script_fix.patch and pathmangle.sh, no longer needed.
  * Merge some ubuntu changes.
    + Add watch file.
    + Update copyright file.

 -- Robert Collins <robertc@robertcollins.net>  Fri, 28 Jul 2006 14:26:29 +1000

paramiko (1.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix B-D-I/B-D glitches.
  * Update package to the new python policy (Closes: #373472).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 29 Jun 2006 23:00:34 +0200

paramiko (1.5-1) unstable; urgency=low

  * New upstream release.
  * Initial package upload (Closes: #292942).

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 18 Oct 2005 14:57:46 -0700

paramiko (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Guido Guenther <agx@debian.org>  Mon, 31 Jan 2005 11:24:37 +0100
